Announcing compatibility with WooCommerce 4.7

WooCommerce 4.7.0 has been released today. It is a minor release which means it should be backwards compatible with the previous version. Let’s take a brief look at what has changed.

This release contains the updated versions of WooCommerce Admin (1.6.3) and WooCommerce blocks (3.6.0), minor fixes and localization improvements. Most notably:

  • The product_cat/tag taxonomy template file names were updated to product-cat, and product-tag.
  • Draft pages are now excluded from the “Shop page” setting.

Added filters

Filters Description
woocommerce_should_send_low_stock_notification Determine if the current product should trigger a low stock notification.

Template changes

Three new files were added in WooCommerce 4.7.0

File Description
content-product-cat.php New file introduced to replace content-product_cat.php
taxonomy-product-cat.php New file introduced to replace taxonomy-product_cat.php
taxonomy-product-tag.php New file introduced to replace taxonomy-product_tag.php

The replaced files content-product_cat.php, taxonomy-product_cat.php, and taxonomy-product_tag.php are still supported by WooCommerce.

NOTICE: While the old files still work, you will need to rename them at some point since any changes regarding these templates will be introduced to the new ones and WooCommerce will not notify you of said changes if your theme or plugin still has the old ones.

Check out this release’s full changelog for more information.

CSSIgniter themes and WooCommerce 4.7

All of our themes are compatible with this new release from day one. You can keep working with your online store as usual. We are keeping and eye on the template renaming mentioned above, and if it is not reverted within a couple of minor releases we will be releasing updates where necessary to include the renamed templates.

The post Announcing compatibility with WooCommerce 4.7 appeared first on CSSIgniter.

blank

Posted by Web Monkey

blank